# Copyright 1999-2020 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit autotools

DESCRIPTION="Keeps per window keyboard layout under X11"
HOMEPAGE="https://sourceforge.net/projects/perwindowlayout"
SRC_URI="https://downloads.sourceforge.net/perwindowlayout/${PN}-${PV}.tar.gz"
RESTRICT="nomirror"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="dbus"

DEPEND="dev-libs/glib:2=
	x11-libs/libX11:0=
	dbus? (
		sys-apps/dbus:0=
		>=dev-libs/dbus-glib-0.86:0=
	)
"
RDEPEND="${DEPEND}"

src_prepare() {
	default
	eautoreconf
}

src_configure() {
	econf
}
